Bug 1596094 (CVE-2018-10872)

Summary: CVE-2018-10872 kernel: error in exception handling leads to DoS (CVE-2018-8897 regression)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: airlied, aquini, bhu, blc, bmcclain, bskeggs, dblechte, dfediuck, dhoward, dougsland, eedri, esammons, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lsurette, lwang, matt, mchehab, mcressma, mgoldboi, mguzik, michal.skrivanek, mjg59, mlangsdo, nmurray, plougher, pstehlik, rbarry, rt-maint, rvrbovsk, sbonazzo, security-response-team, sherold, skozina, srevivo, steved, williams, ycui, ylavi, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way the Linux kernel handled exceptions delivered after a stack switch operation via Mov SS or Pop SS instructions. During the stack switch operation, processor does not deliver interrupts and exceptions, they are delivered once the first instruction after the stack switch is executed. An unprivileged system user could use this flaw to crash the system kernel resulting in DoS. This CVE-2018-10872 was assigned due to regression of CVE-2018-8897 in Red Hat Enterprise Linux 6.10 GA kernel; no other versions are affected by this CVE.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-11 11:02:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1596113    
Bug Blocks: 1566885    

Description Adam Mariš 2018-06-28 09:07:20 UTC
A flaw was found in the way the Linux kernel handled exceptions delivered after a stack switch operation via Mov SS or Pop SS instructions. During the stack switch operation, processor does not deliver interrupts and exceptions, they are delivered once the first instruction after the stack switch is executed.

An unprivileged system user could use this flaw to crash the system kernel resulting in DoS.

This CVE-2018-10872 was assigned due to regression of CVE-2018-8897 in Red Hat Enterprise Linux 6.10. No other versions are affected by this CVE.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/d8ba61ba58c88d5207c1ba2f7d9a2280e7d03be9

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2018/05/08/4

Comment 2 errata-xmlrpc 2018-07-10 17:53:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2164 https://access.redhat.com/errata/RHSA-2018:2164